Bug 216617 - science/InsightToolkit: fails to build with clang 4.0
Summary: science/InsightToolkit: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-30 22:20 UTC by Jan Beich
Modified: 2017-04-15 03:05 UTC (History)
0 users

See Also:
woodsb02: maintainer-feedback+
woodsb02: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-30 22:20:13 UTC
Modules/ThirdParty/VNL/src/vxl/v3p/netlib/linalg/lsqrBase.cxx:565:14: error: ordered comparison between pointer and zero ('std::ostream *' (aka 'basic_ostream<char> *') and 'int')
    if (nout > 0)
        ~~~~ ^ ~

build log: http://package18.nyi.freebsd.org/data/headamd64PR216008-default/2017-01-29_16h09m05s/logs/errors/InsightToolkit-4.10.1.log
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Ben Woods freebsd_committer 2017-02-05 13:25:22 UTC
Reported upstream: http://public.kitware.com/pipermail/community/2017-February/012629.html
Comment 2 Ben Woods freebsd_committer 2017-04-15 02:57:37 UTC
Fix has been committed upstream in ITK:
http://review.source.kitware.com/#/c/22043/

It has also been reported further upstream to VXL:
https://github.com/vxl/vxl/pull/374
Comment 3 commit-hook freebsd_committer 2017-04-15 03:02:35 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Apr 15 03:01:24 UTC 2017
New revision: 438570
URL: https://svnweb.freebsd.org/changeset/ports/438570

Log:
  science/InsightToolkit: Fix build with clang 4.0

  PR:		216617
  Reported by:	jbeich
  Obtained from:	http://review.source.kitware.com/#/c/22043/
  MFH:		2017Q2

Changes:
  head/science/InsightToolkit/files/
  head/science/InsightToolkit/files/patch-Modules_ThirdParty_VNL_src_vxl_v3p_netlib_linalg_lsqrBase.cxx
Comment 4 commit-hook freebsd_committer 2017-04-15 03:04:38 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Apr 15 03:04:21 UTC 2017
New revision: 438571
URL: https://svnweb.freebsd.org/changeset/ports/438571

Log:
  MFH: r438570

  science/InsightToolkit: Fix build with clang 4.0

  PR:		216617
  Reported by:	jbeich
  Obtained from:	http://review.source.kitware.com/#/c/22043/

  Approved by:	ports-secteam blanket

Changes:
_U  branches/2017Q2/
  branches/2017Q2/science/InsightToolkit/files/
Comment 5 Ben Woods freebsd_committer 2017-04-15 03:05:33 UTC
Committed. Thanks for reporting this.